%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-wand
Version:        0.4.2
Release:        1%{?dist}
Summary:        Ctypes-based simple MagickWand API binding for Python

License:        MIT
URL:            http://wand-py.org
Source0:        https://github.com/dahlia/wand/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       ImageMagick

%description
Wand is a ctypes-based simple ImageMagick binding for Python. It doesn't cover
all functionalities of MagickWand API currently.


%if %{with python3}
%package     -n python3-wand
Summary:        Ctypes-based simple MagickWand API binding for Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       ImageMagick

%description -n python3-wand
Wand is a ctypes-based simple ImageMagick binding for Python. It doesn't cover
all functionalities of MagickWand API currently.
%endif


%prep
%setup -qc
mv wand-%{version} python2

%if %{with python3}
cp -a python2 python3
%endif


%build
pushd python2
%{__python2} setup.py build
popd

%if %{with python3}
pushd python3
%{__python3} setup.py build
popd
%endif


%install
%if %{with python3}
pushd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd
%endif

pushd python2
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

rm $RPM_BUILD_ROOT/usr/README.rst

%files
%doc python2/README.rst
%license python2/LICENSE
%{python2_sitelib}/*

%if %{with python3}
%files -n python3-wand
%doc python3/README.rst
%license python3/LICENSE
%{python3_sitelib}/*
%endif


%changelog
* Fri Dec 25 2015 Dennis Chen <barracks510@gmail.com> - 0.4.2-1
- Updated to Wand version 0.4.2.

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Nov 5 2015 Dennis Chen <barracks510@gmail.com> 0.4.1-3
- Python3.5 rawhide rebuild
* Wed Oct 28 2015 Dennis Chen <barracks510@gmail.com> 0.4.1-2
- Fix python3 runtime dependency
- Fix spec errors
* Tue Oct 27 2015 Dennis Chen <barracks510@gmail.com> 0.4.1-1
- First Fedora Packaging

